PHP Manual
Prev |  | Next

# timezone_name_from_abbr

(no version information, might be only in CVS)

timezone_name_from_abbr -- Returns the timezone name from abbrevation

## Description

string timezone_name_from_abbr ( string abbr [, int gmtOffset [, int isdst]] )

## Parameters

`abbr`

  Time zone abbreviation.

`gmtOffset`

  Offset from GMT in seconds. Defaults to -1 which means that first found time zone corresponding to `abbr` is returned. Otherwise exact offset is searched and only if not found then the first time zone with any offset is returned.

`isdst`

  Daylight saving time indicator. If `abbr` doesn't exist then the time zone is searched solely by `offset` and `isdst`.

## Return Values

Returns time zone name on success or `FALSE` on failure.

## Examples

Example 1. A timezone_name_from_abbr() example

`<?php echo timezone_name_from_abbr("CET") . "\n"; echo timezone_name_from_abbr("", 3600, 0) . "\n"; ?>`

The above example will output something similar to:

    Europe/Berlin
    Europe/Paris

## See Also

timezone_abbreviations_list()

Prev | Home | Next
timezone_identifiers_list | Up | timezone_name_get